##########################################################
# this perl script is a part of the program awxEditHook. #
##########################################################
# this is the name of the plugin, that
# appears as a popup in the menu

$AWX_PLUGIN = "Standard Plugins...";


# this is the list of Exported functions.
# function-names and friendly-names are
# separated with a "|"

$AWX_EXPORT = "Lowercase|&Lowercase";
$AWX_EXPORT = "Uppercase|&Uppercase";
$AWX_EXPORT = "Mixedcase|&Mixedcase";
$AWX_SEPARATOR = "------------------------------------------";
$AWX_EXPORT = "UnderscoreToSpace|&Underscores To Spaces";
$AWX_EXPORT = "SpaceToUnderscore|&Spaces To Underscores";
$AWX_EXPORT = "DotToSpace|&Dots To Spaces";
$AWX_SEPARATOR = "------------------------------------------";
$AWX_EXPORT = "Reverse|&Reverse";
$AWX_EXPORT = "StripSpaces|Stri&p Spaces";


sub UnderscoreToSpace {
	my $a = "@_";
	$a =~ tr/_/ /;	
	return $a; 
}

sub SpaceToUnderscore {
	my $a = "@_";
	$a =~ tr/ /_/;	
	return $a; 
}

sub DotToSpace {
	my $a = "@_";
	$a =~ tr/./ /;	
	return $a; 
}

sub Lowercase {
	return lc("@_"); 
}

sub Uppercase {
	return uc("@_"); 
}

sub Mixedcase {
	my $a = "@_";
	$a =~ s/(\w+)/\u\L$1/g;
	return $a; 
}

sub Reverse {
	return reverse("@_"); 
}

sub StripSpaces {
	my $a = "@_";
	$a =~ tr/ //;	
	return $a; 
}

