# Plugin Syntax: (should appear only once in a plugin file!)
#
# $AWX_PLUGIN = "Plugin...";
# ^^^^^^^^^^^    ^^^^^^^^^
#      |             |
# Plugin Identifier  |
#      Name that appears in the Context-Menu


# Export Function Syntax:
#
# $AWX_EXPORT = "FunctionName|Menu Name...|1";
# ^^^^^^^^^^^    ^^^^^^^^^^^^ ^^^^^^^^^^^^ ^
#      |               |           |       |
# Export Identifier    |           |    Selection nesessary (1 = Yes, 0 = No) Default:1
#                Functionname      |
#                             Name that appears in the PopUp-Menu


# plugin stuff
$AWX_PLUGIN = "Sample Plugins...";


# list of Exported menu-functions
$AWX_EXPORT = "SamplePlugin|Umlaut&konvertierung";
$AWX_SEPARATOR = "-------------------------------";
$AWX_EXPORT = "InsertDate_DE|Datum und &Uhrzeit einfgen...|0";
$AWX_EXPORT = "InsertUsername|&Benutzernamen einfgen...|0";
$AWX_EXPORT = "InsertComputername|&Computernamen einfgen...|0";


sub SamplePlugin {
	my $a = "@_";
	my %replace =	(
		'' => 'ae', 
		'' => 'oe', 
		'' => 'ue',
		'' => 'Ae',
		'' => 'Oe',
		'' => 'Ue',
		'' => 'ss' 
	);
	$a =~ s/([])/$replace{$1}/g;
	return $a
}


sub InsertDate_DE {
	($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
	return sprintf	"%d. %s %d - %.2d:%.2d:%.2d",
			$mday, 
			(Januar,Februar,Maerz,April,Mai,Juni,Juli,August,September,Oktober,November,Dezember)[$mon], 
			$year + 1900, 
			$hour, 
			$min, 
			$sec;
}

sub InsertUsername {
	return $ENV{"USERNAME"};
}

sub InsertComputername {
	return $ENV{"COMPUTERNAME"};
}
